Resume Run
Answer the node a run is parked on and let it continue. The graph is executed again from the top, but everything above the answered node comes back from cache, so nothing is paid for twice.
POST
/api/v1/runs/{run_id}/resumeAuthorization
AuthorizationBearer token · headerrequiredor
AuthorizationOAuth2 access token · headerrequiredPath parameters
run_idstringrequiredRequest body
requiredapplication/jsonnode_idstringrequiredmin length 1
item_indexinteger | anyShow propertiesHide properties
Any of:
integer
integerany
anyselectedinteger[]Responses
200Successful Response
successbooleandefault: true
dataGraphRun | anyShow propertiesHide properties
Any of:
GraphRun
idstringgraph_idstring | anyShow propertiesHide properties
Any of:
string
stringany
anydefinitionobjectui_stateobjectstatusRunStatusAllowed:
draftqueuedrunningawaiting_inputsucceededfailedcancellednodesobjecterrorstring | anyShow propertiesHide properties
Any of:
string
stringany
anytargetsstring[]credits_consumednumberdefault: 0
credits_totalnumberdefault: 0
cancel_requestedbooleandefault: false
cancel_requested_atstring<date-time> | anyShow propertiesHide properties
Any of:
string<date-time>
string<date-time>any
anyanswersobjectpending_inputPendingInput | anyShow propertiesHide properties
Any of:
PendingInput
node_idstringrequireditem_indexinteger | anyShow propertiesHide properties
Any of:
integer
integerany
anyitem_countinteger | anyShow propertiesHide properties
Any of:
integer
integerany
anyrequestobjectany
anyregeneratestring[]seed_run_idstring | anyShow propertiesHide properties
Any of:
string
stringany
anypinned_task_idstring | anyShow propertiesHide properties
Any of:
string
stringany
anyforked_signaturestringdefault: ""
editedbooleandefault: false
copied_fromstring | anyShow propertiesHide properties
Any of:
string
stringany
anyexported_atstring<date-time> | anyShow propertiesHide properties
Any of:
string<date-time>
string<date-time>any
anyexported_creativesstring[]produced_atstring<date-time> | anyShow propertiesHide properties
Any of:
string<date-time>
string<date-time>any
anygenerationintegerdefault: 0
task_idstring | anyShow propertiesHide properties
Any of:
string
stringany
anyowner_idstringrequiredcreated_atstring<date-time>updated_atstring<date-time>started_atstring<date-time> | anyShow propertiesHide properties
Any of:
string<date-time>
string<date-time>any
anyfinished_atstring<date-time> | anyShow propertiesHide properties
Any of:
string<date-time>
string<date-time>any
anyheartbeat_atstring<date-time> | anyShow propertiesHide properties
Any of:
string<date-time>
string<date-time>any
anydeleted_atstring<date-time> | anyShow propertiesHide properties
Any of:
string<date-time>
string<date-time>any
anyany
anymessagestring | anyShow propertiesHide properties
Any of:
string
stringany
anyerrorsstring[] | anyShow propertiesHide properties
Any of:
string[]
Array of
stringstringany
any422Validation Error
detailValidationError[]Show propertiesHide properties
Array of
ValidationErrorlocstring | integer[]requiredShow propertiesHide properties
Array of
string | integerAny of:
string
stringinteger
integermsgstringrequiredtypestringrequiredinputanyctxobjectRequest
curl -X POST "/api/v1/runs/string/resume" \
-H "Authorization: Bearer YOUR_TOKEN" \
-H "Content-Type: application/json" \
-d '{
"node_id": "string",
"item_index": 0,
"selected": [
0
]
}'const response = await fetch("/api/v1/runs/string/resume", {
method: "POST",
headers: {
"Authorization": "Bearer YOUR_TOKEN",
"Content-Type": "application/json"
},
body: JSON.stringify({
"node_id": "string",
"item_index": 0,
"selected": [
0
]
})
});import requests
response = requests.post(
"/api/v1/runs/string/resume",
headers={
"Authorization": "Bearer YOUR_TOKEN",
"Content-Type": "application/json"
},
json={
"node_id": "string",
"item_index": 0,
"selected": [
0
]
},
)Response
{
"success": true,
"data": {
"id": "string",
"graph_id": "string",
"definition": {},
"ui_state": {},
"status": "draft",
"nodes": {
"property1": {
"status": "pending",
"progress": 0,
"outputs": {},
"error": "string",
"message": "string",
"credits_consumed": 0,
"duration_seconds": 0,
"checkpoint": {},
"items": {
"property1": {
"status": "pending",
"progress": 0,
"outputs": {},
"error": "string",
"message": "string",
"credits_consumed": 0,
"duration_seconds": 0,
"checkpoint": {}
},
"property2": {
"status": "pending",
"progress": 0,
"outputs": {},
"error": "string",
"message": "string",
"credits_consumed": 0,
"duration_seconds": 0,
"checkpoint": {}
}
},
"started_at": "2019-08-24T14:15:22Z"
},
"property2": {
"status": "pending",
"progress": 0,
"outputs": {},
"error": "string",
"message": "string",
"credits_consumed": 0,
"duration_seconds": 0,
"checkpoint": {},
"items": {
"property1": {
"status": "pending",
"progress": 0,
"outputs": {},
"error": "string",
"message": "string",
"credits_consumed": 0,
"duration_seconds": 0,
"checkpoint": {}
},
"property2": {
"status": "pending",
"progress": 0,
"outputs": {},
"error": "string",
"message": "string",
"credits_consumed": 0,
"duration_seconds": 0,
"checkpoint": {}
}
},
"started_at": "2019-08-24T14:15:22Z"
}
},
"error": "string",
"targets": [
"string"
],
"credits_consumed": 0,
"credits_total": 0,
"cancel_requested": false,
"cancel_requested_at": "2019-08-24T14:15:22Z",
"answers": {},
"pending_input": {
"node_id": "string",
"item_index": 0,
"item_count": 0,
"request": {}
},
"regenerate": [
"string"
],
"seed_run_id": "string",
"pinned_task_id": "string",
"forked_signature": "",
"edited": false,
"copied_from": "string",
"exported_at": "2019-08-24T14:15:22Z",
"exported_creatives": [
"string"
],
"produced_at": "2019-08-24T14:15:22Z",
"generation": 0,
"task_id": "string",
"owner_id": "string",
"created_at": "2019-08-24T14:15:22Z",
"updated_at": "2019-08-24T14:15:22Z",
"started_at": "2019-08-24T14:15:22Z",
"finished_at": "2019-08-24T14:15:22Z",
"heartbeat_at": "2019-08-24T14:15:22Z",
"deleted_at": "2019-08-24T14:15:22Z"
},
"message": "string",
"errors": [
"string"
]
}{
"detail": [
{
"loc": [
"string"
],
"msg": "string",
"type": "string",
"input": null,
"ctx": {}
}
]
}